Bug 225050 - net-mgmt/aircrack-ng fails with use of undeclared identifier.....
Summary: net-mgmt/aircrack-ng fails with use of undeclared identifier.....
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Lars Engels
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-01-10 13:13 UTC by Walter Schwarzenfeld
Modified: 2018-01-15 09:20 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (lme)


Attachments
svn-diff_aircrack-ng (1.08 KB, patch)
2018-01-10 13:13 UTC, Walter Schwarzenfeld
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Walter Schwarzenfeld freebsd_triage 2018-01-10 13:13:04 UTC
aircrack-ng fails with
file.c:77:7: error: use of undeclared identifier 'LINKTYPE_IEEE802_11'
        case LINKTYPE_IEEE802_11:
             ^
file.c:81:7: error: use of undeclared identifier 'LINKTYPE_RADIOTAP_HDR'
        case LINKTYPE_RADIOTAP_HDR:
             ^
file.c:98:7: error: use of undeclared identifier 'LINKTYPE_PRISM_HEADER'
        case LINKTYPE_PRISM_HEADER:
             ^
file.c:107:7: error: use of undeclared identifier 'LINKTYPE_PPI_HDR'
        case LINKTYPE_PPI_HDR:
             ^
file.c:116:7: error: use of undeclared identifier 'LINKTYPE_ETHERNET'
        case LINKTYPE_ETHERNET:
             ^
file.c:249:19: error: use of undeclared identifier 'TCPDUMP_MAGIC'
        if (pfh.magic != TCPDUMP_MAGIC)
                         ^
6 errors generated.
Comment 1 Walter Schwarzenfeld freebsd_triage 2018-01-10 13:13:52 UTC
Created attachment 189589 [details]
svn-diff_aircrack-ng
Comment 2 Walter Schwarzenfeld freebsd_triage 2018-01-10 13:20:16 UTC
An include problem. I don't know if it is related to bug #190725. But it seems so.
Comment 3 commit-hook freebsd_committer 2018-01-12 08:54:07 UTC
A commit references this bug:

Author: lme
Date: Fri Jan 12 08:53:02 UTC 2018
New revision: 458808
URL: https://svnweb.freebsd.org/changeset/ports/458808

Log:
  net-mgmt/aircrack-ng:

  - Include pcap.h using a relative path. Some environments failed to find it.
  - Bump PORTREVISION

  This most probably also fixes 190725

  PR:		225050
  Submitted by:	Walter Schwarzenfeld <w.schwarzenfeld@utanet.at>
  MFH:		2018Q1

Changes:
  head/net-mgmt/aircrack-ng/Makefile
  head/net-mgmt/aircrack-ng/files/patch-src_osdep_file.c
Comment 4 Lars Engels freebsd_committer 2018-01-12 08:56:00 UTC
Committed, thanks!
Comment 5 commit-hook freebsd_committer 2018-01-15 09:20:29 UTC
A commit references this bug:

Author: lme
Date: Mon Jan 15 09:20:15 UTC 2018
New revision: 459025
URL: https://svnweb.freebsd.org/changeset/ports/459025

Log:
  MFH: r458808

  net-mgmt/aircrack-ng:

  - Include pcap.h using a relative path. Some environments failed to find it.
  - Bump PORTREVISION

  This most probably also fixes 190725

  PR:		225050
  Submitted by:	Walter Schwarzenfeld <w.schwarzenfeld@utanet.at>

  Approved by:	portmgr (swills)

Changes:
_U  branches/2018Q1/
  branches/2018Q1/net-mgmt/aircrack-ng/Makefile
  branches/2018Q1/net-mgmt/aircrack-ng/files/patch-src_osdep_file.c